# NodeInfo (onnxruntime 1.15.0 API)

Package ai.onnxruntime

## Class NodeInfo

- java.lang.Object
- - ai.onnxruntime.NodeInfo

    public class NodeInfo
    extends java.lang.Object

The info for an input or output node from an ONNX model.

### Constructor Summary

Constructors
`NodeInfo​(java.lang.String name, ValueInfo info)` Creates a node info object from the supplied name and value info.

### Method Summary

All Methods Instance Methods Concrete Methods
`ValueInfo` `getInfo()` The type and shape information of this node.
`java.lang.String` `getName()` The name of the node.
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NodeInfo

    public NodeInfo​(java.lang.String name,
                    ValueInfo info)

Creates a node info object from the supplied name and value info.

Called from native code.

Parameters:
  `name` - The name of the node.
  `info` - The ValueInfo for this node.

### Method Detail

#### getName

    public java.lang.String getName()

The name of the node.

Returns:
  The name.

#### getInfo

    public ValueInfo getInfo()

The type and shape information of this node.

WARNING: `MapInfo` and `SequenceInfo` instances returned by this type will have insufficient information in them as it's not available from the model without an example output.

Returns:
  The information of the value.

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`